# Create a brand vetting

{% hint style="warning" %}
A successful request to this endpoint will mean you are charged a [brand vetting](https://docs.bird.com/applications/channels/channels/supported-channels/sms/concepts/united-states-sms-registration/sms-10dlc/brand-registration#brand-registration-fees) fee.&#x20;
{% endhint %}

## Create a brand vetting at workspace level.

> Create a brand vetting in a workspace. Brand vetting should be requested when the brand is not getting approved, or if the customer needs a higher throughput.<br>

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[{"description":"TCR Brands","name":"number_brands"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"CreateBrandVetting":{"type":"object","additionalProperties":false,"properties":{"class":{"$ref":"#/components/schemas/BrandVettingClass"},"vettingProviderId":{"type":"string","description":"External vetting provider ID for the brand."}},"required":["class"]},"BrandVettingClass":{"type":"string","description":"Identifies the vetting classification.","enum":["STANDARD"]},"BrandVetting":{"type":"object","additionalProperties":false,"required":["id","brandId","createdAt","status","vettingProviderId","score","class"],"properties":{"id":{"type":"string","description":"Unique ID that identifies a vetting transaction performed by a vetting provider.","format":"uuid"},"brandId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","description":"Vetting submission date (UTC). This is the date when the vetting request is generated","format":"date-time"},"updatedAt":{"type":"string","description":"Timestamp (UTC) when the brand vetting was last updated.","nullable":true,"format":"date-time"},"status":{"$ref":"#/components/schemas/BrandVettingStatus"},"vettingProviderId":{"type":"string","description":"External vetting provider ID for the Brand vetting."},"token":{"type":"string"},"score":{"description":"Brand vetting score (0-100). Higher is better.","type":"string"},"class":{"$ref":"#/components/schemas/BrandVettingClass"},"reasons":{"type":"array","description":"A list of reasons for FAILED vetting.","items":{"type":"string"}}}},"BrandVettingStatus":{"type":"string","description":"Identifies the vetting request status.","enum":["PENDING","REJECTED","FAILED","APPROVED","EXPIRED"]},"ValidationError":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","description":"A unique code that identifies the error. This code can be used to programmatically identify the error.\n","minLength":5},"message":{"type":"string","minLength":5,"description":"A human-readable message that describes the error. An example is 'The request body is missing the required field `service`.'\n"},"details":{"type":"object","additionalProperties":true,"description":"Additional details about the error. This object can contain any additional information that may be useful for debugging.\n"}}}}},"paths":{"/workspaces/{workspaceId}/tcr-brands/{brandId}/vettings":{"post":{"description":"Create a brand vetting in a workspace. Brand vetting should be requested when the brand is not getting approved, or if the customer needs a higher throughput.\n","operationId":"createWorkspaceBrandVetting","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBrandVetting"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrandVetting"}}},"description":"Brand vetting successfully created"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}},"description":"Invalid workspace brand vetting"}},"summary":"Create a brand vetting at workspace level.","tags":["number_brands"]}}}}
```

## VettingRequest object

| Field             | Type                                                                                                | Description      | Mandatory |
| ----------------- | --------------------------------------------------------------------------------------------------- | ---------------- | --------- |
| vettingClass      | [vettingClass](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#vettingclass)           | Vetting Class    | Required  |
| vettingProviderId | [vettingProviderId](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#vettingproviderid) | Vetting Provider | Required  |

### VettingResponse object

| Field             | Type                                                                                                | Description                                              |
| ----------------- | --------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| id                | string                                                                                              | Vetting ID                                               |
| brandId           | string                                                                                              | ID of the brand that relates to this vetting             |
| class             | [vettingClass](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#vettingclass)           | Identifies the vetting classification                    |
| status            | [vettingStatus](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#vettingstatus)         | Identifies the vetting request status                    |
| vettingProviderId | [vettingProviderId](/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md#vettingproviderid) | Id of the provider used for vetting                      |
| score             | string                                                                                              | Brand vetting score (0-100). Higher is better            |
| token             | string                                                                                              |                                                          |
| reasons           | array\<string>                                                                                      | A list of reasons for FAILED vetting                     |
| updatedAt         | string                                                                                              | Timestamp (UTC) when the brand vetting was last updated. |
| createdAt         | string                                                                                              | Timestamp (UTC) when the brand vetting was created       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/numbers-api/api-reference/10dlc-compliance/brands-workspace/create-a-brand-vetting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
